package structs

import (
	gitea_api "code.gitea.io/gitea/modules/structs"
)

type BranchNameSet struct {
	BranchName []*string `json:"branch_name"`
}

type Tag struct {
	Name       string                `json:"name"`
	Message    string                `json:"message"`
	ID         string                `json:"id"`
	Commit     *TagCommit            `json:"commit"`
	ZipballURL string                `json:"zipball_url"`
	TarballURL string                `json:"tarball_url"`
	Tagger     *gitea_api.CommitUser `json:"tagger"`
}

type TagCommit struct {
	*gitea_api.CommitMeta
	Committer *gitea_api.CommitUser `json:"committer"`
	Author    *gitea_api.CommitUser `json:"author"`
	Message   string                `json:"message"`
}
