package structs

type WikiesResponse struct {
	WikiMeta
	WikiCloneLink CloneLink `json:"wiki_clone_link"`
}

type WikiMeta struct {
	Name        string     `json:"name"`
	Commit      WikiCommit `json:"commit"`
	FirstCommit WikiCommit `json:"-"`
	//WikiCloneLink	CloneLink 	`json:"wiki_clone_link"`
}

type WikiCommit struct {
	ID       string   `json:"id"`
	Message  string   `json:"message"`
	Author   WikiUser `json:"author"`
	Commiter WikiUser `json:"-"`
}

type WikiUser struct {
	Name  string `json:"name"`
	Email string `json:"email"`
	When  int64  `json:"when"`
}

type WikiResponse struct {
	WikiMeta
	CommitCounts  int64     `json:"commit_counts"`
	MdContent     string    `json:"md_content"`
	SimpleContent string    `json:"simple_content"`
	WikiCloneLink CloneLink `json:"wiki_clone_link"`
}

type WikiOption struct {
	Name          string `json:"name"`
	Content       string `json:"content"`
	CommitMessage string `json:"commit_message"`
}
type CloneLink struct {
	SSH   string `json:"ssh"`
	HTTPS string `json:"https"`
}
