package repo

import (
	"fmt"
	"net/http"

	"code.gitea.io/gitea/models"
	"code.gitea.io/gitea/models/db"
	"code.gitea.io/gitea/modules/context"
)

func GetLatestRelease(ctx *context.APIContext) {
	findOption := models.FindReleasesOptions{
		ListOptions: db.ListOptions{
			Page:     1,
			PageSize: 1,
		},
	}
	releases, err := models.GetReleasesByRepoID(ctx.Repo.Repository.ID, findOption)
	fmt.Println("****************ctx.Repo.Repository.ID:", ctx.Repo.Repository.ID, " ", releases, " ", err)
	if err != nil {
		ctx.Error(http.StatusInternalServerError, "GetReleasesByRepoID", err)
		return
	}
	if len(releases) == 0 {
		ctx.NotFound("LastRelease is not present.")
		return
	}

	release := releases[0]
	if err := release.LoadAttributes(); err != nil {
		ctx.ServerError("loadAttributes", err)
		return
	}

	release.Publisher.Passwd = ""
	ctx.JSON(http.StatusOK, release)

}
